{ ... }:

let
  stage1Modules = [
    "virtio_balloon"
    "virtio_scsi"
    "virtio_net"
    "virtio_pci"
    "virtio_ring"
    "virtio"
    "scsi_mod"

    "virtio_blk"
    "virtio_ring"
    "bochs_drm"
    "ata_piix"
    "pata_acpi"
    "ata_generic"
  ];

in {
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/354fb107-2f4a-42ad-80dd-9dddb61bfd02";
    fsType = "ext4";
  };

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/993cce35-cc1f-40cc-b07a-5ea58b99fb5b";
    fsType = "btrfs";
    options = [ "subvol=root" ];
    neededForBoot = true;
  };

  fileSystems."/home" = {
    device = "/dev/disk/by-uuid/993cce35-cc1f-40cc-b07a-5ea58b99fb5b";
    fsType = "btrfs";
    options = [ "subvol=home" ];
    neededForBoot = true;
  };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/d16b5f4a-f38c-41c6-8aae-1625be815f9d"; }];

  boot.loader.grub = { device = "/dev/vda"; };

  boot.initrd.availableKernelModules = stage1Modules;
  boot.initrd.kernelModules = stage1Modules;
  boot.extraModprobeConfig = "";
}
