{ config, pkgs, lib, ... }:

{
  nixpkgs.config.packageOverrides = pkgs:
    with pkgs; {
      nixPath = (import ../../../default.nix {
        versionsPath = ./versions.nix;
      }).nixPath;
    };
  home-manager.users.steveej =
    import ../../../home-manager/configuration/text-minimal.nix {
      inherit pkgs;
      extraPackages = [
        # required by vscode's remote-ssh plugin
        pkgs.nodejs

        # allow clipboard exchanges
        pkgs.xsel
        pkgs.xclip
      ];
    };

  nix.buildMachines = [{
    hostName = "localhost";
    system = "x86_64-linux";
    supportedFeatures = [ "kvm" "nixos-test" "big-parallel" "benchmark" ];
    maxJobs = 4;
  }];
}
