{ pkgs, lib, ... }:

let
  homeEnv = keyboard: {
    imports = [
      (import ../../../home-manager/configuration/graphical-gnome3.nix {
        inherit pkgs;
      })
    ];

    home.keyboard = keyboard;

    home.packages = with pkgs; [
      rhythmbox
      lollypop
      dia
      kotatogram-desktop
      jitsi
    ];
  };

in {
  nixpkgs.config.packageOverrides = pkgs:
    with pkgs; {
      nixPath = (import ../../../default.nix {
        versionsPath = ./versions.nix;
      }).nixPath;
    };

  services.gnome = builtins.mapAttrs (attr: value: lib.mkForce value) {
    games.enable = true;
    gnome-remote-desktop.enable = true;
    gnome-user-share.enable = true;
    rygel.enable = true;
    sushi.enable = true;
    tracker.enable = true;
    tracker-miners.enable = true;
  };

  home-manager.users.steveej = homeEnv {
    layout = "en";
    options = [ "nodeadkey" ];
    variant = "altgr-intl";
  };

  home-manager.users.elias = homeEnv {
    layout = "de";
    options = [ ];
    variant = "";
  };

  home-manager.users.justyna = homeEnv {
    layout = "de";
    options = [ ];
    variant = "";
  };

  services.teamviewer.enable = true;
  system.stateVersion = "21.11";
}
