{ config, pkgs, ... }:

let
  passwords = import ../../../variables/passwords.crypt.nix;
  keys = import ../../../variables/keys.nix;
  inherit (import ../../lib/default.nix { }) mkUser;

in {
  users.extraUsers.steveej2 = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
  };

  users.extraUsers.steveej3 = mkUser {
    uid = 1002;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    shell = pkgs.posh { image = "quay.io/enarx/fedora"; };
  };
}
